> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Image

> Get job image record.



## OpenAPI

````yaml /spec/oas.yaml get /jobs/{job_id}/images/{s3_object}
openapi: 3.0.3
info:
  title: CRO Software API
  version: 2.x
  description: >-
    REST API for the CRO Software waste management and logistics platform.
    Authenticate via OAuth2 (client_credentials or authorization_code). All
    requests require a Bearer token and an X-Tenant-Id header.
servers:
  - url: https://api.crosoftware.com/v0
    description: Production
security: []
paths:
  /jobs/{job_id}/images/{s3_object}:
    get:
      tags:
        - Images
      summary: Get Image
      description: Get job image record.
      operationId: images_get_image
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: integer
            format: int64
            description: Job identifier.
        - name: s3_object
          in: path
          required: true
          schema:
            type: string
            description: S3 filename.
        - name: x-api-version
          in: header
          required: false
          schema:
            type: string
            description: Version identifier (date format).
        - name: x-tenant-id
          in: header
          required: true
          schema:
            type: integer
            format: int64
            description: >-
              Tenant identifier. Contact [CRO
              Software](https://crosoftwaresolutions.com/) for more info if you
              don't already have this id. See [list tenant
              ids](/docs/requests/tenants_list_tenants) for info on listing the
              tenants you have access to.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobImageModel'
      security:
        - oauth2:
            - api
components:
  schemas:
    JobImageModel:
      type: object
      description: Image profile.
      properties:
        height:
          type: integer
          description: Image height.
        id:
          type: integer
          format: int64
          description: Image record identifier.
        s3_object:
          type: string
          description: S3 filename.
        url:
          type: string
          description: Image URL (expires).
        width:
          type: integer
          description: Image width.
      required:
        - height
        - id
        - s3_object
        - url
        - width
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/token
          scopes:
            api: General API access
            webhook: Webhook management
        authorizationCode:
          authorizationUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/auth
          tokenUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/token
          scopes:
            api: General API access
            webhook: Webhook management

````